Update Cart Currency

Update currency of the *Cart*. Promotions and gift certificates that don't apply to the new currency will be removed from your cart. You cannot update the cart currency if the draft order cart or the cart contains a manual discount. > #### Note > * Substitute your storefront domain for `yourstore.example.com`. > * The Send a Test Request feature is not currently supported for this endpoint.

Path parameters

cartIdstringRequired

Query parameters

includelist of enumsOptional
To return product options add one of the following include: `lineItems.physicalItems.options`: The Cart returns an abbreviated result. Use this to return physical items product options. Can also be used in a /POST to have the extended Cart object return. `lineItems.digitalItems.options`: The Cart returns an abbreviated result. Use this to return digital items product options. Can also be used in a /POST to have the extended Cart object return. `lineItems.digitalItems.options,lineItems.physicalItems.options`: The Cart returns an abbreviated result. Use this to return digital and physical options. Can also be used in a /POST to have the extended Cart object return.
Allowed values:

Request

currencyCodestringRequired
currency code

Response

idstringformat: "UUID"
Cart ID, provided after creating a cart with a POST.
customerIdinteger
ID of the customer to which the cart belongs.
emailstring
The cart's email. This is the same email that is used in the billing address
currencyobject
This will always be the same between cart and checkout.
isTaxIncludedboolean
Whether this item is taxable.
baseAmountdouble

Cost of cart’s contents, before applying discounts.

discountAmountdouble

Order based discounted amount only - Coupon discounts and product based discounts are excluded.

cartAmountdouble

Sum of line-items amounts, minus cart-level discounts and coupons. This amount includes taxes (where applicable).

couponslist of objects
discountslist of objects
lineItemsobject
createdTimestringformat: "ISO-8601"
Time when the cart was created.
updatedTimestringformat: "ISO-8601"
Time when the cart was last updated.
localestring
Locale of the cart.
versioninteger
The current version of the cart increments with each successful update. You can use it to enable optimistic concurrency control for subsequent updates.

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error